package com.ss.android.ugc.aweme.internal;

import X.2Pr;
import X.3p3;
import X.46i;
import X.BbA;
import X.C0158FVc;
import X.ESC;
import X.Lnj;
import X.LsC;
import X.M12;
import X.T0S;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public final class PrivacyServiceImpl implements IPrivacyService {
    static {
        Covode.recordClassIndex(88727);
    }

    public final boolean LIZIZ() {
        return ESC.LIZLLL();
    }

    public final boolean LIZ() {
        return 46i.LJFF().getCurUser().isSecret();
    }

    public static IPrivacyService LIZJ() {
        MethodCollector.i(4860);
        IPrivacyService iPrivacyService = (IPrivacyService) Lnj.LIZ(IPrivacyService.class, false);
        if (iPrivacyService != null) {
            MethodCollector.o(4860);
            return iPrivacyService;
        }
        Object LIZIZ = Lnj.LIZIZ(IPrivacyService.class, false);
        if (LIZIZ != null) {
            IPrivacyService iPrivacyService2 = (IPrivacyService) LIZIZ;
            MethodCollector.o(4860);
            return iPrivacyService2;
        }
        if (Lnj.LLLLL == null) {
            synchronized (IPrivacyService.class) {
                try {
                    if (Lnj.LLLLL == null) {
                        Lnj.LLLLL = new PrivacyServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(4860);
                    throw th;
                }
            }
        }
        PrivacyServiceImpl privacyServiceImpl = (PrivacyServiceImpl) Lnj.LLLLL;
        MethodCollector.o(4860);
        return privacyServiceImpl;
    }

    public final void LIZ(LsC<? super 3p3, 2Pr> lsC) {
        M12.LIZ(lsC);
        BbA providePushSettingFetchPresenter = T0S.LIZ.providePushSettingFetchPresenter();
        providePushSettingFetchPresenter.a_(new C0158FVc(lsC));
        providePushSettingFetchPresenter.LIZ(new Object[0]);
    }
}
